GNU bug report logs - #11480
24.1.50; ediff command frame auto-shrinks to 1 column wide

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Keith Rautenbach <krautenbach@HIDDEN>; Keywords: moreinfo; merged with #11544; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 11544 <at> debbugs.gnu.org and Munawar Cheema <munawar.a.cheema@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11480 <at> debbugs.gnu.org:


Received: (at 11480) by debbugs.gnu.org; 30 May 2022 18:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 30 14:07:46 2022
Received: from localhost ([127.0.0.1]:46021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nvjnu-0003wa-1d
	for submit <at> debbugs.gnu.org; Mon, 30 May 2022 14:07:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nvjns-0003wF-7p; Mon, 30 May 2022 14:07:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FvO4krY3iGDKsKS6vAAfAeye7wke5JgYf6XHVuKRpfg=; b=M6B3PqhdRaTpXRfjt22ftd3kGQ
 98oTnfX4c2dlf+kh68F1aZSVz/dXImDSLxspyQvBT4JlhJDDHImAwunpWE9aVZrJPB/I3/47doSfP
 0i+OR5q571M7xh9winzf4PwyhoBpqa6O1yMRpiawhXv8vJrAv8ZSxjHDW4/vgd0GxXts=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nvjnk-0008Mr-4z; Mon, 30 May 2022 20:07:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Keith Rautenbach <krautenbach@HIDDEN>
Subject: Re: bug#11544: Subject: 24.1.50; ediff-buffers command window does
 not work properly
References: <87y5otlui5.fsf@HIDDEN> <87v8uo2rss.fsf@HIDDEN>
X-Now-Playing: Exec's _Advertise Here_: "(I'm After) Your Best Interest"
Date: Mon, 30 May 2022 20:07:34 +0200
In-Reply-To: <87v8uo2rss.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 02 May 2022 11:43:31 +0200")
Message-ID: <87mteyao7t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > Do you still
 see this in recent versions of Emacs and/or the operating > system? The best
 guess in this bug report seemed to indicate that this > might be due to a
 bug/misfeature in Unity, if I skim [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11480
Cc: 11544 <at> debbugs.gnu.org, 11480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Do you still see this in recent versions of Emacs and/or the operating
> system?  The best guess in this bug report seemed to indicate that this
> might be due to a bug/misfeature in Unity, if I skim it correctly.

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11480; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11480 <at> debbugs.gnu.org:


Received: (at 11480) by debbugs.gnu.org; 2 May 2022 09:43:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 02 05:43:44 2022
Received: from localhost ([127.0.0.1]:34871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nlSal-0008UU-Pg
	for submit <at> debbugs.gnu.org; Mon, 02 May 2022 05:43:43 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41106)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nlSaj-0008U8-MG; Mon, 02 May 2022 05:43:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0iPBatYi3KF/pXBeTTSOVwzl1ocO84HK9grYUZFOpHc=; b=IBUrb/yjeQCKUAfKipjKvVF7Y2
 a2+lL0w4twpppnjZ10BpEviz3k1u24enskXHBfT0IXoDIxtLPfASGuRnXDm77+6sXevXLWoK6VvgN
 ipK36JPC21US317DuRDfRgAeK12daL8+231d1wrnElMinHiDdW53lIbT0dJNlITAHURM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nlSab-0007ev-G9; Mon, 02 May 2022 11:43:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Keith Rautenbach <krautenbach@HIDDEN>
Subject: Re: bug#11544: Subject: 24.1.50; ediff-buffers command window does
 not work properly
References: <87y5otlui5.fsf@HIDDEN>
X-Now-Playing: Pet Shop Boys's _Inner Sanctum (1)_: "The Pop Kids-In The
 Night-Burn"
Date: Mon, 02 May 2022 11:43:31 +0200
In-Reply-To: <87y5otlui5.fsf@HIDDEN> (Keith Rautenbach's message of
 "Tue, 15 May 2012 09:26:58 +0100")
Message-ID: <87v8uo2rss.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Keith Rautenbach <krautenbach@HIDDEN> writes: > Typing
 ediff command '?' initially redraws the command frame at the > correct size
 and then auto-shrinks the width down to 1. > > I am seeing the problem happen
 most (but not all) the time. Perhaps [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 11480
Cc: 11544 <at> debbugs.gnu.org, 11480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Keith Rautenbach <krautenbach@HIDDEN> writes:

> Typing ediff command '?' initially redraws the command frame at the
> correct size and then auto-shrinks the width down to 1.
>
> I am seeing the problem happen most (but not all) the time. Perhaps 95%.
> I think that a particular run of emacs will either happen 100% or 0%.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Do you still see this in recent versions of Emacs and/or the operating
system?  The best guess in this bug report seemed to indicate that this
might be due to a bug/misfeature in Unity, if I skim it correctly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11480; Package emacs. Full text available.

Message received at 11480 <at> debbugs.gnu.org:


Received: (at 11480) by debbugs.gnu.org; 23 May 2012 09:10:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 23 05:10:45 2012
Received: from localhost ([127.0.0.1]:40350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SX7ae-0005EE-Nr
	for submit <at> debbugs.gnu.org; Wed, 23 May 2012 05:10:45 -0400
Received: from mailout-de.gmx.net ([213.165.64.22]:37937)
	by debbugs.gnu.org with smtp (Exim 4.72)
	(envelope-from <rudalics@HIDDEN>) id 1SX7ac-0005Dz-Hc
	for 11480 <at> debbugs.gnu.org; Wed, 23 May 2012 05:10:43 -0400
Received: (qmail invoked by alias); 23 May 2012 09:09:48 -0000
Received: from 62-47-39-90.adsl.highway.telekom.at (EHLO [62.47.39.90])
	[62.47.39.90]
	by mail.gmx.net (mp032) with SMTP; 23 May 2012 11:09:48 +0200
X-Authenticated: #14592706
X-Provags-ID: V01U2FsdGVkX1+zWWkB63WzRTSZq0x7vpLFfYTC+/B6nurwdVpuHU
	UkMSSCFZJpFuPj
Message-ID: <4FBCA965.1080404@HIDDEN>
Date: Wed, 23 May 2012 11:09:57 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Keith Rautenbach <krautenbach@HIDDEN>
Subject: Re: bug#11480: 24.1.50; ediff command frame auto-shrinks to 1 column
	wide
References: <87y5otlui5.fsf@HIDDEN>
In-Reply-To: <87y5otlui5.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Y-GMX-Trusted: 0
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 11480
Cc: 11480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

 > Typing ediff command '?' initially redraws the command frame at the
 > correct size and then auto-shrinks the width down to 1.

Do you really mean "width" here?  IIUC ediff never tries to shrink a
frame/window horizontally, so I doubt this is an Emacs problem then.

Also, bug#11544 describes a similar scenario in a similar environment so
it might help if someone with a

  GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, GTK+ Version 3.4.1)
  of 2012-05-10 on radium/rhenium, modified by Debian
  (emacs-snapshot package, version 2:20120510-1~ppa1~precise1)

could try to reproduce this.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11480; Package emacs. Full text available.
Merged 11480 11544. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 May 2012 16:09:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 15 12:09:21 2012
Received: from localhost ([127.0.0.1]:56280 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SUKJM-0006sA-V7
	for submit <at> debbugs.gnu.org; Tue, 15 May 2012 12:09:21 -0400
Received: from eggs.gnu.org ([208.118.235.92]:56978)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD7Y-0002Ak-R7
	for submit <at> debbugs.gnu.org; Tue, 15 May 2012 04:28:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD7K-0000p1-Ef
	for submit <at> debbugs.gnu.org; Tue, 15 May 2012 04:28:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI,
	TO_NO_BRKTS_PCNT autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:42561)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD7K-0000ox-Bq
	for submit <at> debbugs.gnu.org; Tue, 15 May 2012 04:28:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55480)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD7D-0001FF-Pt
	for bug-gnu-emacs@HIDDEN; Tue, 15 May 2012 04:28:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD78-0000ns-DI
	for bug-gnu-emacs@HIDDEN; Tue, 15 May 2012 04:28:19 -0400
Received: from mtaout02-winn.ispmail.ntl.com ([81.103.221.48]:31667)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <krautenbach@HIDDEN>) id 1SUD78-0000nl-1s
	for bug-gnu-emacs@HIDDEN; Tue, 15 May 2012 04:28:14 -0400
Received: from aamtaout04-winn.ispmail.ntl.com ([81.103.221.35])
	by mtaout02-winn.ispmail.ntl.com
	(InterMail vM.7.08.04.00 201-2186-134-20080326) with ESMTP id
	<20120515082810.LUNE28930.mtaout02-winn.ispmail.ntl.com@HIDDEN>
	for <bug-gnu-emacs@HIDDEN>; Tue, 15 May 2012 09:28:10 +0100
Received: from alshat ([82.25.27.63]) by aamtaout04-winn.ispmail.ntl.com
	(InterMail vG.3.00.04.00 201-2196-133-20080908) with ESMTP
	id <20120515082810.HBRG23925.aamtaout04-winn.ispmail.ntl.com@alshat>
	for <bug-gnu-emacs@HIDDEN>; Tue, 15 May 2012 09:28:10 +0100
From: Keith Rautenbach <krautenbach@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.1.50; ediff command frame auto-shrinks to 1 column wide
Date: Tue, 15 May 2012 09:26:58 +0100
Message-ID: <87y5otlui5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Cloudmark-Analysis: v=1.1 cv=JvdXmxIgLJv2/GthKqHpGJEEHukvLcvELVXUanXFreg=
	c=1 sm=0 a=2lfgmb0E1gkA:10 a=uObrxnre4hsA:10 a=x8UrmrWdt-oA:10
	a=NLZqzBF-AAAA:8 a=aR16PxjQAAAA:8 a=sqRZtqk6OCZIdMIHQpIA:9
	a=8k3nDHBFv8EgZUjoVdIA:7 a=CiSHi91Bn78A:10 a=_dQi-Dcv4p4A:10
	a=NRGfzg14S9LaFlAS:21 a=RPlOynPtgVPKelHM:21
	a=HpAAvcLHHh0Zw7uRqdWCyQ==:117
X-detected-operating-system: by eggs.gnu.org: Solaris 10 (beta)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 15 May 2012 12:09:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

emacs-snapshot -Q -eval "(set-variable 'mail-host-address \"ntlworld.com\")" --eval "(find-file \"file-A.txt\")" --eval "(find-file \"file-B.txt\")" --eval "(ediff-buffers \"file-A.txt\" \"file-B.txt\")"

The contents of the files do not seem to matter.
In this example the files were trivial:
   $ cat file-A.txt
   This is file A
   $ cat file-B.txt
   This is file A

I saw this problem with emacs 23.3.1 after upgrading to Ubuntu 12.04 and
then tested again with emacs-snapshot.

Typing ediff command '?' initially redraws the command frame at the
correct size and then auto-shrinks the width down to 1.

I am seeing the problem happen most (but not all) the time. Perhaps 95%.
I think that a particular run of emacs will either happen 100% or 0%.


In GNU Emacs 24.1.50.1 (i686-pc-linux-gnu, GTK+ Version 3.4.1)
 of 2012-05-10 on radium, modified by Debian
 (emacs-snapshot package, version 2:20120510-1~ppa1~precise1)
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
Configured using:
 `configure '--build' 'i686-linux-gnu' '--host' 'i686-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=i686-linux-gnu' 'host_alias=i686-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: en_GB.UTF-8
  value of $LC_CTYPE: en_GB.UTF-8
  value of $LC_MESSAGES: en_GB.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Text

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <switch-frame> <down-mouse-1> <mouse-1> 
M-x r e p o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Computing differences between file-A.txt and file-B.txt ...
Buffer A: Processing difference region 0 of 1
Buffer B: Processing difference region 0 of 1
Processing difference regions ... done

Load-path shadows:
/usr/share/emacs/24.1.50/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/24.1.50/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils ediff-merg ediff-diff ediff-wind ediff-help
ediff-util ediff-mult ediff-init ediff cus-edit easymenu cus-start
cus-load wid-edit time-date tooltip ediff-hook vc-hooks lisp-float-type
mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face files text-properties overlay sha1 md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)




Acknowledgement sent to Keith Rautenbach <krautenbach@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11480; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 30 May 2022 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.